#ifndef MAIN_H_
#define MAIN_H

/*************************************************************************************************************************
									File Details
**************************************************************************************************************************
	File name 							: main.h
	
	Purpose								: This file has include file and macro declarations corresponding to main.C file
	
	Author								: Mitesh Moonat & Harshit Gaharwar
	
	VDSP version used for testing		: VisualDSP++5.0, update 10
	
	Hardware used						: ADSP-21469, ADSP-21479, ADSP-21489, ADSP-21375, ADSP-21369, ADSP-21364,
										  ADSP-21262  EZ-Kits
	
	Connection details 					: See "main.C"
	
	Guidelines for change				: 1) For FILE I/O method, uncomment "USE_FILE_IO_FOR_LDR_PROGRAMMING" definition
										     and comment all other macros.
										     
										  2) For Memory Storage method:
										  
										  	 - For internal memory - uncomment "USE_MEMORY_STORAGE_FOR_LDR_PROGRAMMING"
										  	   definition and comment all other macros.   
										  	   
										  	 - For extenal memory - uncomment "USE_MEMORY_STORAGE_FOR_LDR_PROGRAMMING"
										  	   and "USE_EXTENAL_MEMORY_FOR_LDR_STORAGE" definition and comment all other macros.
**************************************************************************************************************************/

/*************************************************************************************************************************
									Include Files
**************************************************************************************************************************/
#include "SystemInit.h"
#include "stdio.h"
#include "Serial_FLASH.h"


/*************************************************************************************************************************
									MACROs
*************************************************************************************************************************/
//#define USE_EXTENAL_MEMORY_FOR_LDR_STORAGE

#define USE_MEMORY_STORAGE_FOR_LDR_PROGRAMMING

//#define USE_FILE_IO_FOR_LDR_PROGRAMMING

/************************************************************************************************************************/
#endif


/**************************************** END OF FILE*********************************************************************/
